package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.zd.chemical.domain.HxpChemical;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 化学品信息对象 hxp_chemical
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品信息")
public class HxpChemicalVo {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 化学品编号
     */
    @Length(message = "化学品编号长度不能超过30")
    @ApiModelProperty(value = "化学品编号")
    private String chemicalNum;

    /**
     * 化学品名字
     */
    @Excel(name = "化学品名称",sort = 1)
    @Length(message = "化学品名字长度不能超过50")
    @ApiModelProperty(value = "化学品名字")
    private String chemicalName;

    /**
     * cas号
     */
    @Excel(name = "cas号",sort = 2)
    @Length(message = "cas号长度不能超过50")
    @ApiModelProperty(value = "cas号")
    private String casNum;

    @Excel(name = "分类名称",sort = 3)
    @ApiModelProperty(value = "分类名称")
    private String classifyName;

    @Excel(name = "属性",sort = 4)
    @ApiModelProperty(value = "分类属性")
    private String classifyAttribute;

    @ApiModelProperty(value = "化学品形态信息")
    private String chemicalShapeInfo;

    @Excel(name = "形态",sort = 5)
    @ApiModelProperty(value = "化学品形态信息")
    private String chemicalShapeInfo2;

    @ApiModelProperty(value = "标签类型内容")
    private String labelContent;

    @ApiModelProperty(value = "验证方式内容")
    private String verificationContent;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @Excel(name = "计量方式",sort = 6)
    @ApiModelProperty(value = "计量方式内容")
    private String measuringMethodContent;

    @Excel(name = "计量单位",sort = 7)
    @ApiModelProperty(value = "计量单位")
    private String chemicalUnit;

    @Excel(name = "纯度",sort = 8)
    @ApiModelProperty(value = "纯度")
    private String purity;

    public String getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(String classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }

    public String getChemicalShapeInfo() {
        return chemicalShapeInfo;
    }

    public void setChemicalShapeInfo(String chemicalShapeInfo) {
        this.chemicalShapeInfo = chemicalShapeInfo;
    }

    public String getLabelContent() {
        return labelContent;
    }

    public void setLabelContent(String labelContent) {
        this.labelContent = labelContent;
    }

    public String getVerificationContent() {
        return verificationContent;
    }

    public void setVerificationContent(String verificationContent) {
        this.verificationContent = verificationContent;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getChemicalNum() {
        return chemicalNum;
    }

    public void setChemicalNum(String chemicalNum) {
        this.chemicalNum = chemicalNum;
    }

    public String getMeasuringMethodContent() {
        return measuringMethodContent;
    }

    public void setMeasuringMethodContent(String measuringMethodContent) {
        this.measuringMethodContent = measuringMethodContent;
    }

    public String getChemicalUnit() {
        return chemicalUnit;
    }

    public void setChemicalUnit(String chemicalUnit) {
        this.chemicalUnit = chemicalUnit;
    }

    public String getPurity() {
        return purity;
    }

    public void setPurity(String purity) {
        this.purity = purity;
    }

    public String getChemicalShapeInfo2() {
        return chemicalShapeInfo2;
    }

    public void setChemicalShapeInfo2(String chemicalShapeInfo2) {
        this.chemicalShapeInfo2 = chemicalShapeInfo2;
    }
}
